Class | DRb::DRbIdConv
In: | drb/drb.rb
Parent: | Object

Class responsible for converting between an object and its id.

This, the default implementation, uses an object’s local ObjectSpace id as its id. This means that an object’s identification over drb remains valid only while that object instance remains alive within the server runtime.

For alternative mechanisms, see DRb::TimerIdConv in rdb/timeridconv.rb and DRbNameIdConv in sample/name.rb in the full drb distribution.

### Methods

to_id to_obj

### Public Instance methods

to_id(obj)

Convert an object into a reference id.

This implementation returns the object’s id in the local object space.

[Source]

    # File drb/drb.rb, line 382
        def to_id(obj)
          obj.nil? ? nil : obj.__id__
        end

to_obj(ref)

Convert an object reference id to an object.

This implementation looks up the reference id in the local object space and returns the object it refers to.

[Source]

    # File drb/drb.rb, line 374
        def to_obj(ref)
          ObjectSpace._id2ref(ref)
        end

[Validate]